// $Id$ 
// $Source$ 
// @HEADER
// ***********************************************************************
// 
//                           Sacado Package
//                 Copyright (2006) Sandia Corporation
// 
// Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
// the U.S. Government retains certain rights in this software.
// 
// This library is free software; you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as
// published by the Free Software Foundation; either version 2.1 of the
// License, or (at your option) any later version.
//  
// This library is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//  
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
// USA
// Questions? Contact David M. Gay (dmgay@sandia.gov) or Eric T. Phipps
// (etphipp@sandia.gov).
// 
// ***********************************************************************
// @HEADER

#ifndef SACADO_MPL_PLACEHOLDERS_HPP
#define SACADO_MPL_PLACEHOLDERS_HPP

#include "Sacado_mpl_none.hpp"

namespace Sacado {

  namespace mpl {

    // Placeholder definitions
    template <int N> struct arg {};

    template <> struct arg<1> {
      template <class A1, 
                class A2=mpl::none, 
                class A3=mpl::none, 
                class A4=mpl::none, 
                class A5=mpl::none>
      struct apply {
        typedef A1 type;
      };
    };
    template <> struct arg<2> {
      template <class A1, 
                class A2, 
                class A3=mpl::none, 
                class A4=mpl::none, 
                class A5=mpl::none>
      struct apply {
        typedef A2 type;
      };
    };
    template <> struct arg<3> {
      template <class A1, 
                class A2, 
                class A3, 
                class A4=mpl::none, 
                class A5=mpl::none>
      struct apply {
        typedef A3 type;
      };
    };
    template <> struct arg<4> {
      template <class A1, 
                class A2, 
                class A3, 
                class A4, 
                class A5=mpl::none>
      struct apply {
        typedef A4 type;
      };
    };
    template <> struct arg<5> {
      template <class A1, 
                class A2, 
                class A3, 
                class A4, 
                class A5>
      struct apply {
        typedef A5 type;
      };
    };

    // Placeholder synonyms
    namespace placeholders {
      typedef arg<1> _1;
      typedef arg<2> _2;
      typedef arg<3> _3;
      typedef arg<4> _4;
      typedef arg<5> _5;
      typedef arg<-1> _;
    } // namespace placeholders

  } // namespace mpl

} // namespace Sacado

#endif // SACADO_MPL_PLACEHOLDERS_HPP
